Main Page | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members | Search for

# polh.cpp File Reference

`#include <SyFi.h>`

Go to the source code of this file.

## Functions
int | main ()

## Function Documentation

int main | ( |  | ) |

| Definition at line 5 of file polh.cpp. References homogenous_pol(), and nsd.
    00005            {
    00006   int order = 3;
    00007
    00008   int nsd = 1;
    00009   cout <<"third order homogenous polynomial in 1D"<<endl;
    00010   ex polh = homogenous_pol(order, nsd, "a");
    00011   cout <<"polh "<<polh<<endl;
    00012
    00013
    00014   nsd = 2;
    00015   cout <<"third order homogenous polynomial in 2D"<<endl;
    00016   polh = homogenous_pol(order, nsd, "a");
    00017   cout <<"polh "<<polh<<endl;
    00018
    00019   nsd = 3;
    00020   cout <<"third order homogenous polynomial in 3D"<<endl;
    00021   polh = homogenous_pol(order, nsd, "a");
    00022   cout <<"polh "<<polh<<endl;
    00023
    00024 }